#
# Conditional build:
%bcond_with	tests	# perform "make test" (interactive)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Authen
%define		pnam	PAM
Summary:	Authen::PAM - Perl interface to PAM library
Summary(pl.UTF-8):	Authen::PAM - interfejs perlowy do biblioteki PAM
Name:		perl-Authen-PAM
Version:	0.16
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Vendor:		Nikolay Pelov <pelov@cs.kuleuven.ac.be>
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7278471dfa694d9ef312bc92d7099af2
URL:		http://www.cs.kuleuven.ac.be/~pelov/pam/
BuildRequires:	pam-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Authen::PAM module provides a Perl interface to the PAM library.

%description -l pl.UTF-8
Moduł Authen::PAM umożliwia dostęp z Perla do biblioteki PAM.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Authen/*.pm
%dir %{perl_vendorarch}/auto/Authen/PAM
%{perl_vendorarch}/auto/Authen/PAM/PAM.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Authen/PAM/PAM.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Authen-PAM.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 10c8095
- rebuild with perl 5.18.0
- release 10 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> dfb276d
- rel 9

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 453e96b
- release 8

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> fb8824d
- release 5

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> c78b81d
- release 4

* Sat Apr 26 2008 tommat <tommat@pld-linux.org> a8b6c0b
- rel 3, STBR please
- rebuild fixes symbol lookup error: /usr/lib/perl5/vendor_perl/5.10.0/i686-pld-linux-thread-multi/auto/Authen/PAM/PAM.so: undefined symbol: Perl_pad_sv

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d61d64
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> f3ed2e1
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 91f04ab
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 911c8a3
- converted to UTF-8

* Tue Nov 15 2005 Paweł Cyranek <pawel.cyranek@gmail.com> beb9a33
- updated to 0.16

* Fri Dec 03 2004 Jakub Bogusz <qboosh@pld-linux.org> e11cd59
- fixed bcond comment

* Wed Dec 01 2004 radek <radek@pld-linux.org> 2a69cd1
- autoupdated to 0.15

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 04b0ba0
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 8baa1b9
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 82e5659
- cosmetics: unification

* Sat Apr 17 2004 ankry <ankry@pld-linux.org> 5c629ae
- better descriptions/summaries

* Fri Apr 16 2004 ankry <ankry@pld-linux.org> 5207d74
- license fixes and unification

* Tue Mar 09 2004 Adam Gołębiowski <adamg@pld-linux.org> cfd8aae
- new style bconds

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 0541c2a
- s/no/nb/ in Summary langs

